# ## Configure 'ip' variable to bind kubernetes services on a
# ## different ip than the default iface
# ## We should set etcd_member_name for etcd cluster. The node that is not a etcd member do not need to set the value, or can set the empty string value.
[all]
dsk-dev-master-a1 ansible_host=10.10.43.111 etcd_member_name=etcd1
dsk-dev-master-b1 ansible_host=10.10.43.112 etcd_member_name=etcd2
dsk-dev-master-c1 ansible_host=10.10.43.113 etcd_member_name=etcd3
dsk-dev-data-druid-a1 ansible_host=10.10.43.114
dsk-dev-data-druid-b1 ansible_host=10.10.43.115
dsk-dev-data-druid-c1 ansible_host=10.10.43.116
dsk-dev-data-es-a1 ansible_host=10.10.43.117
dsk-dev-data-es-b1 ansible_host=10.10.43.118
dsk-dev-data-es-c1 ansible_host=10.10.43.119
dsk-dev-data-kafka-a1 ansible_host=10.10.43.120
dsk-dev-data-kafka-b1 ansible_host=10.10.43.121
dsk-dev-data-kafka-c1 ansible_host=10.10.43.122
dsk-dev-process-a1 ansible_host=10.10.43.123
dsk-dev-process-b1 ansible_host=10.10.43.124
dsk-dev-process-c1 ansible_host=10.10.43.125
dsk-dev-process-a2 ansible_host=10.10.43.126
dsk-dev-process-b2 ansible_host=10.10.43.127
dsk-dev-process-c2 ansible_host=10.10.43.128
dsk-dev-process-a3 ansible_host=10.10.43.129
dsk-dev-process-b3 ansible_host=10.10.43.130
dsk-dev-process-c3 ansible_host=10.10.43.131
dsk-dev-temp-a1 ansible_host=10.10.43.132
dsk-dev-data-common-a1 ansible_host=10.10.43.133
dsk-dev-data-common-b1 ansible_host=10.10.43.134
dsk-dev-data-common-c1 ansible_host=10.10.43.135
#dsk-dev-data-druid-a2 ansible_host=10.10.43.136
dsk-dev-data-druid-b2 ansible_host=10.10.43.137
dsk-dev-data-druid-c2 ansible_host=10.10.43.138
#dsk-dev-data-druid-a3 ansible_host=10.10.43.139
dsk-dev-temp-b1 ansible_host=10.10.43.140
dsk-dev-temp-c1 ansible_host=10.10.43.141
dsk-dev-prometheus ansible_host=10.10.43.142

[kube_control_plane]
dsk-dev-master-a1
dsk-dev-master-b1
dsk-dev-master-c1

[etcd]
dsk-dev-master-a1
dsk-dev-master-b1
dsk-dev-master-c1

[kube_node]
dsk-dev-data-druid-a1
dsk-dev-data-druid-b1
dsk-dev-data-druid-c1
#dsk-dev-data-druid-a2
dsk-dev-data-druid-b2
dsk-dev-data-druid-c2
#dsk-dev-data-druid-a3
dsk-dev-data-es-a1
dsk-dev-data-es-b1
dsk-dev-data-es-c1
dsk-dev-data-kafka-a1
dsk-dev-data-kafka-b1
dsk-dev-data-kafka-c1
dsk-dev-data-common-a1
dsk-dev-data-common-b1
dsk-dev-data-common-c1
dsk-dev-process-a1
dsk-dev-process-b1
dsk-dev-process-c1
dsk-dev-process-a2
dsk-dev-process-b2
dsk-dev-process-c2
dsk-dev-process-a3
dsk-dev-process-b3
dsk-dev-process-c3
dsk-dev-temp-a1
dsk-dev-temp-b1
dsk-dev-temp-c1
dsk-dev-prometheus

[calico_rr]

[k8s_cluster:children]
kube_control_plane
kube_node
calico_rr
